package com.eactive.eai.rms.onl.manage.sna.luhost;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;


@Repository("luHostDao")
@SuppressWarnings("unchecked")
public class LuHostDao extends SqlMapClientTemplateDao{

	  public int selectListCount(HashMap param) throws Exception {
	    	return (Integer)template.queryForObject("LuHost.selectListCount", param);
	    }	
	    public List selectList(HashMap param) throws Exception {
	    	return template.queryForList("LuHost.selectList", param);
	    }
		
	    public HashMap selectDetail(HashMap param) throws Exception {
	    	return (HashMap)template.queryForObject("LuHost.selectDetail", param);
	    }	
	    
	    public int selectHostCnt(HashMap param) throws Exception{
	    	return (Integer)template.queryForObject("LuHost.selectHostCnt", param);
	    }
	    
	    public void insert(HashMap paramMap) throws Exception{
	        this.template.insert("LuHost.insert", paramMap);
	    }      
	    public void update(HashMap paramMap) throws Exception{
	        this.template.update("LuHost.update", paramMap);
	    }      
	    public void delete(HashMap paramMap) throws Exception{
	        this.template.delete("LuHost.delete", paramMap);
	    }
	    public List selectListToExcel(HashMap param) throws Exception {
	    	return template.queryForList("LuHost.selectListToExcel", param);
	    }
	    
	
}
